Bug 215252 - suspend fails on hp pavilion zv5000z
suspend fails on hp pavilion zv5000z
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 17:44 EST by David Reed
Modified: 2013-03-05 22:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Reed 2006-11-12 17:44:23 EST
Description of problem: vbestate save cannot get buffer size


Version-Release number of selected component (if applicable): pm-utils-0.19-3


How reproducible:
vbetool vbestate save
on my hp pavilion zv5000z laptop with FC6 installed as x86_64, and kmod-nvidia
installed and running.

Steps to Reproduce:
1. pm-suspend or pm-hibernate or vbetool vbestate save
2.
3.
  
Actual results:

# vbetool vbestate save
Get video state buffer size failed
Allocated buffer at 0x20000 (base is 0x0)
ES: 0x2000 EBX: 0x0000
Segmentation fault

Note: code returned from int 10 (LRMI) for get buffer size call in eax is 0x014f

note also: "vbetool post" runs ok, as does "vbetool dpms off/on".

Expected results:

save/restore of vbestate.

Additional info:
Comment 1 Phil Knirsch 2007-01-24 11:40:46 EST
Can you reproduce it without the Nvidia module?

Read ya, Phil
Comment 2 David Reed 2007-01-24 14:42:01 EST
Yes, I just reproduced it by uninstalling kmod-nvidia, changing X to use the
"nv" module, rebooting, and got the same results:

[root@manatee david]# vbetool vbestate save
Get video state buffer size failed
Allocated buffer at 0x20000 (base is 0x0)
ES: 0x2000 EBX: 0x0000
Segmentation fault

This is FC6 with current fedora-updates kernel (2895) on x86_64 HP pavilion
zv5000z laptop that otherwise runs great - but I'd really like to suspend/resume
and hibernate.
Comment 3 Till Maas 2007-09-24 15:42:59 EDT
suspend/hibernate may work without pm-utils, in case you upgraded to F7 already,
you can try the new pm-utils package that will be pushed to stable, soon. Or
install it with "yum intall --enablerepo=updates-testing pm-utils" and try
whether it works there. You can find some hints on possible other workarounds
and how to use them on:
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html
Comment 4 Nigel Cunningham 2007-12-10 17:48:38 EST
Any progress here?
Comment 5 Till Maas 2007-12-24 07:50:19 EST
Please test, whether a quirk or a combination of quirks that are described in
the url from my comment #3 works for you. In case you find a working quirk
combo, please submit it there.

You can also try to install gnome-power-manager and try to suspend with
"gnome-power-cmd.sh suspend" (maybe you have to run it several times until it
really suspends). It will run pm-utils with the recommended quirks for your
notebook in case there are any.

Comment 6 David Reed 2008-01-10 09:22:06 EST
I just ran all the combinations of quirks yesterday, under F8 with no GUI, just
command line (boot with parameter 3).  The screen still does not come back no
matter what. However, typing blindly I can "shutdown -r now", so apparently the
(only) problem is reinitializing the video - but none of the quirks seem to do
the right thing on my laptop.

vbetool vbestate save still does exactly the same Segmentation Fault.  So that
particular quirk doesn't work because vbetool is broken, apparently.

I am looking today or tonight when I get some free time for a command-line tool
that will REALLY turn on the display - vbetool is clearly not cutting it for
this laptop.
Comment 7 Bug Zapper 2008-04-04 00:38:09 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 12:47:54 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.